NOT_JSON = {"msg": "Request body must be JSON"}, 400


def UNKNOWN_DATABASE_ERROR(e):
    return {"msg": f"An unknown error occurred within the database. {e}"}, 500


def MISSING_FIELDS(fields):
    return {"msg": f"Missing required fields: {', '.join(fields)}"}, 400


def NO_FIELD_PROVIDED(possible_fields):
    return {
        "msg": f"No field was provided. At least one of the following is required: {', '.join(possible_fields)}"
    }, 400
